Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.expression
Class Search

    java.lang.Object
      com.bea.p13n.content.expression.Search

All Implemented Interfaces
  Serializable, Cloneable

Deprecated

    public class Search

extends Object
implements Cloneable, Serializable

This represents parameters for searching for objects, specifically Content objects.

Attribute: `maxReturn`

- Containment: By Value
- Multiplicity: 1:1
- This specifies the maximum number of objects to return. It should 0 or less to specifying returning all objects that match, no matter how large.

Attribute: `sort`

- Containment: By Value
- Multiplicity: 1:1
- This specifies the SQL ORDER BY-style clause the controlling the sorting on the return list. It is a comma-separated list of property names, each optionally appended with either "ASC" (ascending sort) or "DESC" (descending sort). For example, "creationDate ASC, mimeType DESC, identifier" would specify to sort ascending on on creationDate, to next sort descending on mimeType, and to finally sort ascending on identifier.

Attribute: `expression`

- Containment: By Value
- Multiplicity: 1:1
- This specifies the Expression the objects must match against.

Attribute: `userId`

- Containment: By Value
- Multiplicity: 1:1
- This can contain the user id of the user the search originated from.

Attribute: `contextParams`

- Containment: By Value
- Multiplicity: 1:1
- This can other arbitrary parameters to pass through to the document manager. Only Serializable objects should go into this. These are not used to determine equality.

See Also
  Serialized Form

Field Summary
`protected Map` | `contextParams` Deprecated The context params.
`protected Expression` | `expression` Deprecated The search expression.
`protected long` | `maxReturn` Deprecated The maximum number of objects to return.
`protected String` | `sort` Deprecated The sorting criteria
`protected String` | `userId` Deprecated The user id.

Constructor Summary
`Search()` Deprecated Empty constructor.
`Search(long maxReturn, String sort, Expression expression)` Deprecated Constructor.
`Search(String userId, long maxReturn, String sort, Expression expr)` Deprecated Constructor.

Method Summary
`Object` | `clone()` Deprecated Make a shallow copy of this object.
`boolean` | `equals(Object o)` Deprecated Determine if another object is equals to this.
`Object` | `getContextParam(Object key)` Deprecated Get the value of a context param.
`Map` | `getContextParams()` Deprecated Get an unmodifiable copy of the context params.
`Expression` | `getExpression()` Deprecated Get the search expression.
`long` | `getMaxReturn()` Deprecated Get the maximum number of objects to return.
`String` | `getSort()` Deprecated Get the sort criteria.
`String` | `getUserId()` Deprecated Get the user id.
`int` | `hashCode()` Deprecated Override hashcode to use our parts.
`Object` | `setContextParam(Object key, Object value)` Deprecated Set the value of a context param.
`void` | `setContextParams(Map input)` Deprecated Set the context params based upon the objects in the input map.
`void` | `setExpression(Expression expression)` Deprecated Set the search expression.
`void` | `setMaxReturn(long maxReturn)` Deprecated Set the maximum number of objects to return.
`void` | `setSort(String sort)` Deprecated Set the sort criteria.
`void` | `setUserId(String userId)` Deprecated Set the user id.
`String` | `toString()` Deprecated Get a String representation of this.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### maxReturn

    protected long maxReturn

  Deprecated
  The maximum number of objects to return.

### sort

    protected String sort

  Deprecated
  The sorting criteria

### expression

    protected Expression expression

  Deprecated
  The search expression.

### userId

    protected String userId

  Deprecated
  The user id.

### contextParams

    protected Map contextParams

  Deprecated
  The context params.

Constructor Detail

### Search

    public Search(String userId,
                  long maxReturn,
                  String sort,
                  Expression expr)

  Deprecated
  Constructor.

### Search

    public Search(long maxReturn,
                  String sort,
                  Expression expression)

  Deprecated
  Constructor.

### Search

    public Search()

  Deprecated
  Empty constructor.

Method Detail

### getMaxReturn

    public long getMaxReturn()

  Deprecated
  Get the maximum number of objects to return.

### setMaxReturn

    public void setMaxReturn(long maxReturn)

  Deprecated
  Set the maximum number of objects to return.

### getSort

    public String getSort()

  Deprecated
  Get the sort criteria.

### setSort

    public void setSort(String sort)

  Deprecated
  Set the sort criteria.

### getExpression

    public Expression getExpression()

  Deprecated
  Get the search expression.

### setExpression

    public void setExpression(Expression expression)

  Deprecated
  Set the search expression.

### getUserId

    public String getUserId()

  Deprecated
  Get the user id.

### setUserId

    public void setUserId(String userId)

  Deprecated
  Set the user id.

### getContextParams

    public Map getContextParams()

  Deprecated
  Get an unmodifiable copy of the context params.

### setContextParams

    public void setContextParams(Map input)

  Deprecated
  Set the context params based upon the objects in the input map.

### getContextParam

    public Object getContextParam(Object key)

  Deprecated
  Get the value of a context param.

### setContextParam

    public Object setContextParam(Object key,
                                  Object value)

  Deprecated
  Set the value of a context param.

  The key and value must be Serializable.

  Parameters
    `key` - the context param key.
    `value` - the context param value.
  Returns
    the old context param value or null if none.

### clone

    public Object clone()

  Deprecated
  Make a shallow copy of this object.

  Overrides:
    `clone` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Override hashcode to use our parts.

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Deprecated
  Determine if another object is equals to this.

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Deprecated
  Get a String representation of this.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.